Index: /trunk/SRC/Documentation/xmldoc/linkwiki.sed
===================================================================
--- /trunk/SRC/Documentation/xmldoc/linkwiki.sed	(revision 410)
+++ /trunk/SRC/Documentation/xmldoc/linkwiki.sed	(revision 411)
@@ -1,22 +1,40 @@
-# module :
+#+
+#
+# module
+# ======
+#
 # replace html link in wiki link
 #
-# update :
+#
+# TODO
+# ====
+#
+# images
+#
+# EVOLUTIONS
+# ==========
+#
 # $Id$
 #
+# fplod 20091109T163549Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * usage instead of XSL command in saxo_tracwiki.xsl
+#
+#-
+#
 # href
-s@href=\"./all_plots.html@href=\"./AllPlots@g
-s@href=\"./faqsaxo.html@href=\"./FaqSaxo@g
-s@href=\"./firststeps.html@href=\"./FirstSteps@g
-s@href=\"./getsaxo.html@href=\"./GetSaxo@g
-s@href=\"./infoupdatecm.html@href=\"./InfoUpdateCm@g
-s@href=\"./infoupdatekwd.html@href=\"./InfoUpdateKwd@g
-s@href=\"./mailing.html@href="./Mailing@g
-s@href=\"./mini_notice.html@href=\"./MiniNotice@g
-s@href=\"./tiplink.html@href=\"./TipLink@g
-s@href=\"./updatesaxo.html@href=\"./UpdateSaxo@g
-s@href=\"./websaxo.html@href=\"./WikiStart@g
-s@href=\"./whatissaxo.html@href=\"./WhatisSaxo@g
-s@href=\"./whatsnew.html@href=\"./WhatsNew@g
+s@./all_plots.html@wiki:AllPlots@g
+s@./faqsaxo.html@wiki:FaqSaxo@g
+s@./firststeps.html@wiki:FirstSteps@g
+s@./getsaxo.html@wiki:GetSaxo@g
+s@./infoupdatecm.html@wiki:InfoUpdateCm@g
+s@./infoupdatekwd.html@wiki:InfoUpdateKwd@g
+s@./mailing.html@wiki:Mailing@g
+s@./mini_notice.html@wiki:MiniNotice@g
+s@./tiplink.html@wiki:TipLink@g
+s@./updatesaxo.html@wiki:UpdateSaxo@g
+s@./websaxo.html@wiki:WikiStart@g
+s@./whatissaxo.html@wiki:WhatisSaxo@g
+s@./whatsnew.html@wiki:WhatsNew@g
 #
 # src (attachment)
Index: /trunk/SRC/Documentation/xmldoc/makefile
===================================================================
--- /trunk/SRC/Documentation/xmldoc/makefile	(revision 410)
+++ /trunk/SRC/Documentation/xmldoc/makefile	(revision 411)
@@ -130,12 +130,10 @@
 $(DIRWIKI)/WikiStart : \
 $(DIRTMP)/websaxo_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	--output ginette \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$<
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
 	sed -e "s+@star@+ *+" \
@@ -167,8 +165,10 @@
 $(DIRWIKI)/SvnBasicCommands : \
 $(DIRTMP)/svnbasiccommands_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -200,8 +200,10 @@
 $(DIRWIKI)/FaqSaxo : \
 $(DIRTMP)/faqsaxo_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -233,8 +235,10 @@
 $(DIRWIKI)/GetSaxo : \
 $(DIRTMP)/getsaxo_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -271,8 +275,10 @@
 $(DIRWIKI)/FirstSteps : \
 $(DIRTMP)/firststeps_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -295,8 +301,10 @@
 $(DIRWIKI)/AllPlots : \
 $(DIRTMP)/all_plots.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -342,8 +350,10 @@
 $(DIRWIKI)/Mailing : \
 $(DIRTMP)/mailing_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -375,8 +385,10 @@
 $(DIRWIKI)/MiniNotice : \
 $(DIRTMP)/mini_notice_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -410,8 +422,10 @@
 $(DIRWIKI)/TipLink : \
 $(DIRTMP)/tiplink_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -443,8 +457,10 @@
 $(DIRWIKI)/InfoUpdateCm : \
 $(DIRTMP)/infoupdatecm_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -477,8 +493,10 @@
 $(DIRWIKI)/InfoUpdateKwd : \
 $(DIRTMP)/infoupdatekwd_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -528,8 +546,10 @@
 $(DIRWIKI)/WhatisSaxo : \
 $(DIRTMP)/whatissaxo_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -561,8 +581,10 @@
 $(DIRWIKI)/WhatsNew : \
 $(DIRTMP)/whatsnew_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -594,8 +616,10 @@
 $(DIRWIKI)/UpdateSaxo : \
 $(DIRTMP)/updatesaxo_full.xml \
-$(DIRSRC)/saxo_tracwiki.xsl
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$< | \
+$(DIRSRC)/saxo_tracwiki.xsl \
+$(DIRSRC)/linkwiki.sed
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
Index: /trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 410)
+++ /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 411)
@@ -214,5 +214,5 @@
 then
 #
-# redo the html files
+# redo the HTML files
 #
     cd ${memopwd}
@@ -224,5 +224,5 @@
 then
 #
-# redo the html files
+# redo the WIKI files
 #
     cd ${memopwd}
Index: /trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl
===================================================================
--- /trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl	(revision 410)
+++ /trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl	(revision 411)
@@ -7,17 +7,42 @@
 version="1.0">
 <!--
-module :
+
+module
+======
+
 transformation docbook en un tracwiki 
 
-original location :
-/Users/fplod/SAXO_DIR_ws/SRC/Documentation/xmldoc/saxo_trackwiki.xsl sur aedon.locean-ipsl.upmc.fr
-
-must be followed by awk -f saxo_trackwiki.awk
+CAUTIONS
+========
+
+must be followed by :
+ awk -f saxo_trackwiki.awk
+
 because I did not yet correctly handle "* text" (with no linefeed)
 
-update :
+
+and
+
+ sed -f linkwiki.sed
+
+TODO
+====
+
+++ voir http://trac-hacks.org/wiki/XsltMacro
+
+++ add menu tags menuchoice, gui*, shortcut, keycombo, etc.
+
+++ revoir lien idldoc trop lié à SAXO
+
+EVOLUTIONS
+==========
+
 $Id$
-++ voir http://trac-hacks.org/wiki/XsltMacro
-++ add menu tags menuchoice, gui*, shortcut, keycombo, etc.
+
+- fplod 20091109T164603Z aedon.locean-ipsl.upmc.fr (Darwin)
+
+  * remove wiki link transformations (see linkwiki.sed)
+    to be usable within other IDL toolbox like POST_IT
+
 fplod 2008-08-06T09:38:26Z aedon.locean-ipsl.upmc.fr (Darwin)
 add qanda tags (see ugly http://forge.ipsl.jussieu.fr/saxo/wiki/FaqSaxo
@@ -221,5 +246,5 @@
 <xsl:template match="d:itemizedlist/d:listitem/d:simpara/d:link[@xl:href]">
  <xsl:text>&#xA;</xsl:text>
- <xsl:text> [</xsl:text><xsl:value-of select="@xl:href"/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
+ <xsl:text> [</xsl:text><xsl:value-of select="@xl:href"/> <xsl:text>AAA </xsl:text><xsl:value-of select="."/><xsl:text>]</xsl:text>
 </xsl:template>
 
@@ -231,5 +256,5 @@
 <xsl:template match="d:variablelist/d:varlistentry/d:listitem/d:simpara/d:link[@xl:href]">
  <xsl:text>&#xA;</xsl:text>
- <xsl:text> [</xsl:text><xsl:value-of select="@xl:href"/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
+ <xsl:text> [</xsl:text><xsl:value-of select="@xl:href"/> <xsl:text>BBB </xsl:text><xsl:value-of select="."/><xsl:text>]</xsl:text>
 </xsl:template>
 
@@ -252,44 +277,5 @@
 <xsl:template match="d:link[@xl:href]">
 <xsl:variable name="link">
- <xsl:choose>
-  <xsl:when test="contains(@xl:href,'firststeps.html')">
-   <xsl:text>wiki:FirstSteps</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'all_plots.html')">
-   <xsl:text>wiki:AllPlots</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'faqsaxo.html')">
-   <xsl:text>wiki:FaqSaxo</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'getsaxo.html')">
-   <xsl:text>wiki:GetSaxo</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'infoupdatecm.html')">
-   <xsl:text>wiki:InfoUpdateCm</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'infoupdatekwd.html')">
-   <xsl:text>wiki:InfoUpdateKwd</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'mailing.html')">
-   <xsl:text>wiki:Mailing</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'mini_notice.html')">
-   <xsl:text>wiki:MiniNotice</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'tiplink.html')">
-   <xsl:text>wiki:TipLink</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'updatesaxo.html')">
-   <xsl:text>wiki:UpdateSaxo</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'whatissaxo.html')">
-   <xsl:text>wiki:WhatisSaxo</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'whatsnew.html')">
-   <xsl:text>wiki:WhatsNew</xsl:text>
-  </xsl:when>
-  <xsl:when test="contains(@xl:href,'websaxo.html')">
-   <xsl:text>wiki:WikiStart</xsl:text>
-  </xsl:when>
+  <xsl:choose>
   <xsl:when test="contains(@xl:href,'../../')">
    <xsl:text>source:/trunk/SRC/</xsl:text><xsl:value-of select="substring-after(@xl:href,'../../')"/>
@@ -317,5 +303,5 @@
 
 <xsl:template match="d:email">
-<xsl:text>[mailto:</xsl:text><xsl:value-of select="."/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
+<xsl:text>[mailto:</xsl:text><xsl:value-of select="."/> <xsl:text>DDD </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
 </xsl:template>
 