Index: trunk/SRC/Documentation/xmldoc/updatesaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/updatesaxo.html	(revision 354)
+++ trunk/SRC/Documentation/xmldoc/updatesaxo.html	(revision 416)
@@ -8,15 +8,15 @@
     <link rel="stylesheet" href="saxo.css" type="text/css" />
     <link rev="made" href="mailto:saxo-dev_at_forge.ipsl.jussieu.fr" />
-    <meta name="generator" content="DocBook XSL Stylesheets V1.71.1" />
+    <meta name="generator" content="DocBook XSL Stylesheets V1.74.3" />
     <meta name="keywords" content="IDL, SAXO" />
   </head>
   <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
     <div class="article" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="updatesaxo" id="updatesaxo"></a> Update <span class="application">SAXO</span> </h2></div><div><div class="authorgroup">
-      <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
-      <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
+      <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a class="email" href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
+      <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a class="email" href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
     </div></div><div><span class="pubdate">svn Id of xml source file : $Id$<br /><br /></span></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr>
       <tr><td align="left">Revision 0.1</td><td align="left">April 2008</td></tr><tr><td align="left" colspan="2">migration from DocBook 4.2 to Docbook 5.0</td></tr>
       <tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr>
-    </table></div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#saxo_local">1.  If you work at IDRIS, IPSL or LOCEAN </a></span></dt><dt><span class="sect1"><a href="#saxo_svn">2.  If you got SAXO with <span class="application"> Subversion (svn)</span> </a></span></dt><dt><span class="sect1"><a href="#saxo_tar">3.  If you got SAXO from a tar file </a></span></dt></dl></div>
+    </table></div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#saxo_local">1.  If you work at IDRIS, IPSL or LOCEAN </a></span></dt><dt><span class="sect1"><a href="#saxo_svn">2.  If you got SAXO with ??? </a></span></dt><dt><span class="sect1"><a href="#saxo_tar">3.  If you got SAXO from a ??? </a></span></dt></dl></div>
 
   
@@ -28,5 +28,5 @@
       
       <p>
-If you <a href="./getsaxo.html#saxo_local" target="_top">linked</a> your <code class="filename">${HOME}/SAXO_DIR</code> to
+If you <a class="link" href="./getsaxo.html#saxo_local" target="_top">linked</a> your <code class="filename">${HOME}/SAXO_DIR</code> to
 </p><div class="itemizedlist"><ul type="disc"><li>IDRIS, on rhodes: <code class="filename">/home/rech/eee/reee217/SAXO_DIR</code></li><li>IPSL: <code class="filename">/home/smlod/SAXO_DIR</code></li><li>LOCEAN: <code class="filename">/usr/home/smasson/SAXO_DIR</code></li></ul></div><p>
 you are always using the up-to-date version of SAXO. There is nothing to do.
@@ -36,27 +36,27 @@
   
 
-    <div class="sect1" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="saxo_svn" id="saxo_svn"></a>2.Â  If you got SAXO with <a href="./getsaxo.html#saxo_svn" target="_top"><span class="application"> Subversion (svn)</span></a> </h2></div></div></div>
+    <div class="sect1" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="saxo_svn" id="saxo_svn"></a>2.Â  If you got SAXO with <a class="link" href="./getsaxo.html#saxo_svn" target="_top"><span class="application"> Subversion (svn)</span></a> </h2></div></div></div>
       
       <p>
 You can check the status of your <code class="filename">${HOME}/SAXO_DIR</code> with the following command:
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">status</code> <code class="option">-u</code> <code class="filename">${HOME}/SAXO_DIR</code></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">status</code> <code class="option">-u</code> <code class="filename">${HOME}/SAXO_DIR</code></code></strong>
 </pre><p>
 Or, for example, if you only want to check the status of <code class="filename">${HOME}/SAXO_DIR/SRC</code> directory
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">status</code> <code class="option">-u</code> <code class="filename">${HOME}/SAXO_DIR/SRC</code></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">status</code> <code class="option">-u</code> <code class="filename">${HOME}/SAXO_DIR/SRC</code></code></strong>
 </pre><p>
 You can update your <code class="filename">${HOME}/SAXO_DIR</code> with the following command:
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">update</code> <code class="filename">${HOME}/SAXO_DIR</code></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">update</code> <code class="filename">${HOME}/SAXO_DIR</code></code></strong>
 </pre><p>
 Or, for example, if you only want to update <code class="filename">${HOME}/SAXO_DIR/SRC</code> directory
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">update</code> <code class="filename">${HOME}/SAXO_DIR/SRC</code></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">update</code> <code class="filename">${HOME}/SAXO_DIR/SRC</code></code></strong>
 </pre><p>
 For a quick help on <strong class="userinput"><code>svn status</code></strong> and <strong class="userinput"><code>svn update</code></strong> see
 </p><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">help</code> <em class="parameter"><code>status</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">help</code> <em class="parameter"><code>update</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">help</code> <em class="parameter"><code>status</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span class="command"><strong>svn</strong></span> <code class="option">help</code> <em class="parameter"><code>update</code></em></code></strong>
 </pre><p>
       </p>
@@ -65,8 +65,8 @@
   
 
-    <div class="sect1" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="saxo_tar" id="saxo_tar"></a>3.Â  If you got SAXO from a <a href="./getsaxo.html#saxo_src_tar" target="_top">tar file</a> </h2></div></div></div>
+    <div class="sect1" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="saxo_tar" id="saxo_tar"></a>3.Â  If you got SAXO from a <a class="link" href="./getsaxo.html#saxo_src_tar" target="_top">tar file</a> </h2></div></div></div>
       
       <p>
-The only way to update SAXO is to re-download and reinstall the tar file as you done for the <a href="./getsaxo.html#saxo_src_tar" target="_top">first installation</a>.
+The only way to update SAXO is to re-download and reinstall the tar file as you done for the <a class="link" href="./getsaxo.html#saxo_src_tar" target="_top">first installation</a>.
       </p>
     </div>