Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 425)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 430)
@@ -161,23 +161,23 @@
 #
 case $( whoami ) in
-    smasson)
-	lgforge=smasson
-    ;;
-    floseb)
-	lgforge=smasson
-    ;;
-    *)
-	lgforge=saxo
-    ;;
+   smasson)
+      lgforge=smasson
+   ;;
+   floseb)
+      lgforge=smasson
+   ;;
+   *)
+      lgforge=saxo
+   ;;
 esac
 #
 if [ ${lgforge} != smasson ]
 then
-    doSRClocean=0
-    doDTAlocean=0
-    doSRCipsl=0
-    doDTAipsl=0
-    doSRCidris=0
-    doDTAidris=0
+   doSRClocean=0
+   doDTAlocean=0
+   doSRCipsl=0
+   doDTAipsl=0
+   doSRCidris=0
+   doDTAidris=0
 fi
 #
@@ -191,6 +191,6 @@
 #------------------------------------------------------------------
 if [ ${docompileall} -eq 1 ]
-    then
-    cat <<EOF > /tmp/compileall${$}.pro
+then
+   cat <<EOF > /tmp/compileall${$}.pro
 .reset_session
 ;
@@ -214,96 +214,96 @@
 EOF
 #
-    for i in $( find ${memopwd}/../.. -name "*.pro" | grep -iv label_gmt  | grep -iv report )
-      do
-# does it contains pro or function ?
+   for i in $( find ${memopwd}/../.. -name "*.pro" | grep -iv label_gmt  | grep -iv report )
+   do
+      # does it contains pro or function ?
       egrep -iq '^ *	*(pro|function)' ${i}
       if [ ${?} -eq 0 ]
-	  then
-	  echo "print, '$( basename ${i} .pro ) :'" >> /tmp/compileall${$}.pro
- 	  echo "resolve_all, resolve_either = '$( basename ${i} .pro )', skip_routines = ['xxx2ps','trends', 'label_gmt', 'report']" >> /tmp/compileall${$}.pro
+      then
+         echo "print, '$( basename ${i} .pro ) :'" >> /tmp/compileall${$}.pro
+         echo "resolve_all, resolve_either = '$( basename ${i} .pro )', skip_routines = ['xxx2ps','trends', 'label_gmt', 'report']" >> /tmp/compileall${$}.pro
       fi
-    done
-    echo "exit" >> /tmp/compileall${$}.pro
-    IDL_STARTUP=/tmp/compileall${$}.pro
-    ${idl_dir}/bin/idl &> /tmp/compileallerr_${$}
-    echo
-    echo
-    grep -i "error" /tmp/compileallerr_${$}
-#    grep -q "Compilation error(s)" /tmp/compileallerr_${$}
-    if [ ${?} -ne 0 ]
-    then
-     echo "ALL SAXO files are OK..."
-     rm -f /tmp/compileallerr_${$} /tmp/compileall${$}.pro
-    else
-     grep "Compilation error(s)" /tmp/compileallerr_${$}
-     echo "eee : see /tmp/compileallerr_${$}"
-     more /tmp/compileallerr_${$}
-     exit 1
-    fi
-    echo
-    echo
+   done
+   echo "exit" >> /tmp/compileall${$}.pro
+   IDL_STARTUP=/tmp/compileall${$}.pro
+   ${idl_dir}/bin/idl &> /tmp/compileallerr_${$}
+   echo
+   echo
+   grep -i "error" /tmp/compileallerr_${$}
+   # grep -q "Compilation error(s)" /tmp/compileallerr_${$}
+   if [ ${?} -ne 0 ]
+   then
+      echo "ALL SAXO files are OK..."
+      rm -f /tmp/compileallerr_${$} /tmp/compileall${$}.pro
+   else
+      grep "Compilation error(s)" /tmp/compileallerr_${$}
+      echo "eee : see /tmp/compileallerr_${$}"
+      more /tmp/compileallerr_${$}
+      exit 1
+   fi
+   echo
+   echo
 fi
 #------------------------------------------------------------------
 if [ ${dohtml} -eq 1 ]
 then
-#
-# redo the HTML files
-#
-    cd ${memopwd}
-    make clean
-    make html 
+   #
+   # redo the HTML files
+   #
+   cd ${memopwd}
+   make clean
+   make html 
 fi
 #------------------------------------------------------------------
 if [ ${dowiki} -eq 1 ]
 then
-#
-# redo the WIKI files
-#
-    cd ${memopwd}
-    make clean 
-    make tracwiki
+   #
+   # redo the WIKI files
+   #
+   cd ${memopwd}
+   make clean 
+   make tracwiki
 fi
 #------------------------------------------------------------------
 if [ ${dooldtest} -eq 1 ]
 then
-# make the old test
-#
-    cd ${memopwd}/../../Tests/
-    ./makeold.sh
-    exit 0
+   # make the old test
+   #
+   cd ${memopwd}/../../Tests/
+   ./makeold.sh
+   exit 0
 fi
 #------------------------------------------------------------------
 if  [ ${doidlwavedoc} -eq 1 ]
 then
-#
-# redo idlwave doc
-#
-    cd ${memopwd}/../..
-    Documentation/idlwave_catalog -v -f saxo
-    exit 0
+   #
+   # redo idlwave doc
+   #
+   cd ${memopwd}/../..
+   Documentation/idlwave_catalog -v -f saxo
+   exit 0
 fi
 #------------------------------------------------------------------
 if  [ ${doidldoc} -eq 1 ]
 then
-    #
-    # build HTML idldoc outputs
-    ${SAXO_DIR}/SRC/Documentation/xmldoc/doidldoc.sh \
-    -i ../.. -t "SAXO Documentation" \
-    -o ../idldoc_html_output/ 
-    -idl_dir ${idl_dir}
-    -e pro -r ../idldoc_html_output/ \
-    -e proidl -r /usr/local_linux/idl/idl_6.4/idl/help/online_help
-    doidldoc_html=${?}
-    if [ ${doidldoc_html} -ne 0 ]
-    then
-     echo "eee : pb with doidldoc html"
-     exit 1
-    fi
-    #
-    # build a idl file to launch idldoc
-    output=../idldoc_assistant_output/
-    log="/tmp/idldocassistant_${$}.log"
-    pro="/tmp/idldocassistant_${$}.pro"
-    cat <<EOF > ${pro}
+   #
+   # build HTML idldoc outputs
+   ${SAXO_DIR}/SRC/Documentation/xmldoc/doidldoc.sh \
+      -i ../.. -t "SAXO Documentation" \
+      -o ../idldoc_html_output/ 
+      -idl_dir ${idl_dir}
+      -e pro -r ../idldoc_html_output/ \
+      -e proidl -r /usr/local_linux/idl/idl_6.4/idl/help/online_help
+   doidldoc_html=${?}
+   if [ ${doidldoc_html} -ne 0 ]
+   then
+      echo "eee : pb with doidldoc html"
+      exit 1
+   fi
+   #
+   # build a idl file to launch idldoc
+   output=../idldoc_assistant_output/
+   log="/tmp/idldocassistant_${$}.log"
+   pro="/tmp/idldocassistant_${$}.pro"
+   cat <<EOF > ${pro}
 !path = expand_path('+' + '../idldoc/')
 print,!path
@@ -313,157 +313,157 @@
 exit
 EOF
-    # launch idl with the file built above
-    IDL_STARTUP=${pro};${idl_dir}/bin/idl
-    /bin/rm ${pro}
-    # In order to do not have to many revision in svn, we modify some
-    # lines produced by idldoc :
-    # examples :
-    # <!-- Generated by IDLdoc 2.0 on Wed Jun  7 10:25:28 2006 -->
-    # will be replaced by
-    # <!-- Generated by IDLdoc 2.0 -->
-    # <p><font color="gray" size="-3">&nbsp;&nbsp;Produced by IDLdoc 2.0 on Wed Sep 13 16:32:10 2006.</font></p>
-    # will be replaced by
-    # <p><font color="gray" size="-3">&nbsp;&nbsp;Produced by IDLdoc 2.0</font></p>
-    # <h2>Produced on Wed Jun  7 10:23:13 2006</h2>
-    # will be delete
-    # other lines will be deleted because the time is the time of checkout not
-    # the time of revision.
-    # the sequence of lines
-    #<dl>
-    #      <dt>Last modification:</dt>
-    #       <dd>Fri Jun  2 11:46:24 2006</dd>
-    #    </dl>
-    # should also be removed ++ je ne sais pas dire en sed la ligne
-    # suivant l'occurence de Last modification
-    # replace *_param_* in href attributes because anchors are badly written
-    # with _keyword_
-    #++ -e 's@\(href="#_.*\)\(_param_\)\(.*"\)@\1_keyword_\3@g' \ # ++ pb global
-    #  ONLINE_HELP, book="../idldoc_assistant_output/idldoc-lib.adp", /full_path    # won't work
-    # encaspulate example content in <pre> </pre> in idldoc assistant outputs
-    # Examples section is supposed to start with <h3>Examples</h3>
-    # and end is before <h3>Version history</h3>
-    list_html=$(find ${output} -name "*.html")
-    for file_html in ${list_html}
-    do
-     sed \
-     -e "s/\(Generated by IDLdoc 2.0\)\( on .*\)\( -->\)/\1\3/" \
-     -e "s/\(Produced by IDLdoc 2.0\)\( on .*\)\(\.<\/font>\)/\1\3/" \
-     -e "/<h2>Produced on/d" \
-     -e "/Last modification:/d" \
-     -e "/<dd>... ... .* ..:..:.. ....<\/dd>/d" \
-     -e '/href/s@_param_@_keyword_@g' \
-     -e 's@<div class="value">@<div class="preformat">@' \
-     -e 's/div\#file_comments {/div\#file_comments { white-space: pre;/' \
-     -e 's@^ <fixe>@<pre>@' \
-     -e 's@^ </fixe>@</pre>@' \
-     -e "s@<h3>Examples</h3>@<h3>Examples</h3><pre>@" \
-     -e "s@<h3>Version history</h3>@</pre><h3>Version history</h3>@" \
-     ${file_html} > ${file_html}_modify
-     mv ${file_html}_modify ${file_html}
-    done
-    # replace <pro>ginette</pro> by a sequence like
-    # <a href="./ginette.html">ginette</a>
-    ./pro2href.sh -i ${output} -r ${output} -e pro
-    status=${?}
-    if [ ${status} -ne 0 ]
-    then
-       echo "eee : pb during ./pro2href.sh for <pro>...</pro>"
-       exit 1
-    fi
-    # replace <proidl>ginette</proidl> by a sequence like
-    # <a href="./ginette.html">ginette</a>
-    ./pro2href.sh  -i ${output} -r ${idl_dir}/help/online_help -e proidl
-    status=${?}
-    if [ ${status} -ne 0 ]
-    then
-       echo "eee : pb during ./pro2href.sh for <proidl>...</proidl>"
-       exit 1
-    fi
-    # add the directory-overview.html from dir-files.html in idldoc_html_output
-    list_html=$(find ../idldoc_html_output -name dir-files.html)
-    for file_html in ${list_html}
-    do
-      fout=../idldoc_assistant_output/${file_html#../idldoc_html_output/*}
-      fout=${fout%/*}/directory-overview.html
-      cp ${file_html} ${fout}
-    done
-    # copy listings.css (needed by directory-overview.html files)
-    cp ../idldoc/resource/listings.css ${output}
-    # add an id in idldoc-lib.adp
-    cat << EOF > /tmp/adp_modification
+   # launch idl with the file built above
+   IDL_STARTUP=${pro};${idl_dir}/bin/idl
+   /bin/rm ${pro}
+   # In order to do not have to many revision in svn, we modify some
+   # lines produced by idldoc :
+   # examples :
+   # <!-- Generated by IDLdoc 2.0 on Wed Jun  7 10:25:28 2006 -->
+   # will be replaced by
+   # <!-- Generated by IDLdoc 2.0 -->
+   # <p><font color="gray" size="-3">&nbsp;&nbsp;Produced by IDLdoc 2.0 on Wed Sep 13 16:32:10 2006.</font></p>
+   # will be replaced by
+   # <p><font color="gray" size="-3">&nbsp;&nbsp;Produced by IDLdoc 2.0</font></p>
+   # <h2>Produced on Wed Jun  7 10:23:13 2006</h2>
+   # will be delete
+   # other lines will be deleted because the time is the time of checkout not
+   # the time of revision.
+   # the sequence of lines
+   #<dl>
+   #      <dt>Last modification:</dt>
+   #       <dd>Fri Jun  2 11:46:24 2006</dd>
+   #    </dl>
+   # should also be removed ++ je ne sais pas dire en sed la ligne
+   # suivant l'occurence de Last modification
+   # replace *_param_* in href attributes because anchors are badly written
+   # with _keyword_
+   #++ -e 's@\(href="#_.*\)\(_param_\)\(.*"\)@\1_keyword_\3@g' \ # ++ pb global
+   #  ONLINE_HELP, book="../idldoc_assistant_output/idldoc-lib.adp", /full_path    # won't work
+   # encaspulate example content in <pre> </pre> in idldoc assistant outputs
+   # Examples section is supposed to start with <h3>Examples</h3>
+   # and end is before <h3>Version history</h3>
+   list_html=$(find ${output} -name "*.html")
+   for file_html in ${list_html}
+   do
+      sed \
+         -e "s/\(Generated by IDLdoc 2.0\)\( on .*\)\( -->\)/\1\3/" \
+         -e "s/\(Produced by IDLdoc 2.0\)\( on .*\)\(\.<\/font>\)/\1\3/" \
+         -e "/<h2>Produced on/d" \
+         -e "/Last modification:/d" \
+         -e "/<dd>... ... .* ..:..:.. ....<\/dd>/d" \
+         -e '/href/s@_param_@_keyword_@g' \
+         -e 's@<div class="value">@<div class="preformat">@' \
+         -e 's/div\#file_comments {/div\#file_comments { white-space: pre;/' \
+         -e 's@^ <fixe>@<pre>@' \
+         -e 's@^ </fixe>@</pre>@' \
+         -e "s@<h3>Examples</h3>@<h3>Examples</h3><pre>@" \
+         -e "s@<h3>Version history</h3>@</pre><h3>Version history</h3>@" \
+         ${file_html} > ${file_html}_modify
+      mv ${file_html}_modify ${file_html}
+   done
+   # replace <pro>ginette</pro> by a sequence like
+   # <a href="./ginette.html">ginette</a>
+   ./pro2href.sh -i ${output} -r ${output} -e pro
+   status=${?}
+   if [ ${status} -ne 0 ]
+   then
+      echo "eee : pb during ./pro2href.sh for <pro>...</pro>"
+      exit 1
+   fi
+   # replace <proidl>ginette</proidl> by a sequence like
+   # <a href="./ginette.html">ginette</a>
+   ./pro2href.sh -i ${output} -r ${idl_dir}/help/online_help -e proidl
+   status=${?}
+   if [ ${status} -ne 0 ]
+   then
+      echo "eee : pb during ./pro2href.sh for <proidl>...</proidl>"
+      exit 1
+   fi
+   # add the directory-overview.html from dir-files.html in idldoc_html_output
+   list_html=$(find ../idldoc_html_output -name dir-files.html)
+   for file_html in ${list_html}
+   do
+     fout=../idldoc_assistant_output/${file_html#../idldoc_html_output/*}
+     fout=${fout%/*}/directory-overview.html
+     cp ${file_html} ${fout}
+   done
+   # copy listings.css (needed by directory-overview.html files)
+   cp ../idldoc/resource/listings.css ${output}
+   # add an id in idldoc-lib.adp
+   cat << EOF > /tmp/adp_modification
 <!-- \$Id\$ -->
 EOF
-    sed -e "/<\/profile>/r /tmp/adp_modification" \
-     ../idldoc_assistant_output/idldoc-lib.adp > \
-     ../idldoc_assistant_output/idldoc-lib.adp_${$}
-    mv ../idldoc_assistant_output/idldoc-lib.adp_${$} \
-    ../idldoc_assistant_output/idldoc-lib.adp
-    rm /tmp/adp_modification
-    echo "iii : you can see log file in ${log}"
-    echo "iii : and look ${output}/idldoc-warnings.html#undoc"
-    # check that the number of existing html files for each .pro file is 2!
-    for i in $( find ../.. -name "*.pro" )
-    do
-      nhtml=$( find ../.. -name $( basename ${i} .pro ).html | wc -l )
-      if [ ${nhtml} -ne 2 ]
-	  then
-	  echo "ERROR there is no 2 $( basename ${i} .pro ).html files"
-	  find ../.. -name $( basename ${i} .pro ).html
-	  echo
-      fi
-    done
+   sed -e "/<\/profile>/r /tmp/adp_modification" \
+    ../idldoc_assistant_output/idldoc-lib.adp > \
+    ../idldoc_assistant_output/idldoc-lib.adp_${$}
+   mv ../idldoc_assistant_output/idldoc-lib.adp_${$} \
+   ../idldoc_assistant_output/idldoc-lib.adp
+   rm /tmp/adp_modification
+   echo "iii : you can see log file in ${log}"
+   echo "iii : and look ${output}/idldoc-warnings.html#undoc"
+   # check that the number of existing html files for each .pro file is 2!
+   for i in $( find ../.. -name "*.pro" )
+   do
+     nhtml=$( find ../.. -name $( basename ${i} .pro ).html | wc -l )
+     if [ ${nhtml} -ne 2 ]
+     then
+        echo "ERROR there is no 2 $( basename ${i} .pro ).html files"
+        find ../.. -name $( basename ${i} .pro ).html
+        echo
+     fi
+   done
 fi
 #------------------------------------------------------------------
 if [ ${doTARsrc} -eq 1 ]
 then
-    localtarbase=/tmp/savesaxo_${$}
-    mkdir  ${localtarbase}/
-# clean backup files : *~
-    find ${memopwd}/../../.. -name "*~" -exec rm {} \;
-# prepare the source tar (without the svn...)
-#
-    cd ${memopwd}/../../..
-    tar czf ${localtarbase}/SAXO_SRC_${ndate}r${rev}.tar.gz --exclude .svn SRC
-#
-#   informations
-    echo "iii : following file may be copied on http://forge.ipsl.jussieu.fr/saxo/download/"
-    ls -l ${localtarbase}
+   localtarbase=/tmp/savesaxo_${$}
+   mkdir ${localtarbase}/
+   # clean backup files : *~
+   find ${memopwd}/../../.. -name "*~" -exec rm {} \;
+   # prepare the source tar (without the svn...)
+   #
+   cd ${memopwd}/../../..
+   tar czf ${localtarbase}/SAXO_SRC_${ndate}r${rev}.tar.gz --exclude .svn SRC
+   #
+   # informations
+   echo "iii : following file may be copied on http://forge.ipsl.jussieu.fr/saxo/download/"
+   ls -l ${localtarbase}
 fi
 #------------------------------------------------------------------
 if [ ${doTARdata} -eq 1 ]
 then
-    localtarbase=/tmp/savesaxo_${$}
-    mkdir  ${localtarbase}/
-#
-# prepare the data tar (without the svn...)
-#
-    cd ${memopwd}/../../..
-    tar czf ${localtarbase}/SAXO_DATA_${ndate}.tar.gz  --exclude .svn DATA
-#
-#   informations
-    echo "iii : following file may be copied on http://forge.ipsl.jussieu.fr/saxo/download/"
-    ls -l ${localtarbase}
+   localtarbase=/tmp/savesaxo_${$}
+   mkdir ${localtarbase}/
+   #
+   # prepare the data tar (without the svn...)
+   #
+   cd ${memopwd}/../../..
+   tar czf ${localtarbase}/SAXO_DATA_${ndate}.tar.gz  --exclude .svn DATA
+   #
+   # informations
+   echo "iii : following file may be copied on http://forge.ipsl.jussieu.fr/saxo/download/"
+   ls -l ${localtarbase}
 fi
 #------------------------------------------------------------------
 if [ ${doforge} -eq 1 ]
 then
-    echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd two times"
-    if [ ${doTARsrc} -ne 1 ]
-    then
-       localtarbase=${1}
-    fi
-    scp ${localtarbase}/SAXO_*.tar.gz ${lgforge}@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
-    echo "iii : do not forget to update getsaxo.html"
-    echo "iii : \$ make ./getsaxo.html"
-    echo "iii : do not forget to clean ${localtarbase}"
+   echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd two times"
+   if [ ${doTARsrc} -ne 1 ]
+   then
+      localtarbase=${1}
+   fi
+   scp ${localtarbase}/SAXO_*.tar.gz ${lgforge}@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
+   echo "iii : do not forget to update getsaxo.html"
+   echo "iii : \$ make ./getsaxo.html"
+   echo "iii : do not forget to clean ${localtarbase}"
 fi
 #------------------------------------------------------------------
 if [[ (${doDTAlocean} -eq 1) || (${doDTAipsl} -eq 1) ]]
 then
-    echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
-    infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
-    filedata=$(echo ${infodata} | awk '{print $NF}')
-    filedata=$(basename ${filedata})
-    cat <<EOF > job_data_$$
+   echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
+   infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
+   filedata=$(echo ${infodata} | awk '{print $NF}')
+   filedata=$(basename ${filedata})
+   cat <<EOF > job_data_$$
 #!/bin/bash
 cd SAXO_DIR
@@ -483,52 +483,52 @@
 if [ ${doSRClocean} -eq 1 ]
 then
-# update src on cerbere
-#
-    echo "iii : update src on cerbere"
-    ssh smasson@cerbere.locean-ipsl.upmc.fr "svn update SAXO_DIR/SRC ; chmod -R 755 SAXO_DIR"
+   # update src on cerbere
+   #
+   echo "iii : update src on cerbere"
+   ssh smasson@cerbere.locean-ipsl.upmc.fr "svn update SAXO_DIR/SRC ; chmod -R 755 SAXO_DIR"
 fi
 #------------------------------------------------------------------
 if [ ${doDTAlocean} -eq 1 ]
 then
-# update data on cerbere
-    echo "iii : update data on cerbere"
-    scp job_data_$$ smasson@cerbere.locean-ipsl.upmc.fr:.
-    ssh smasson@cerbere.locean-ipsl.upmc.fr "chmod 755 job_data_$$ ; ./job_data_$$ ; rm -f job_data_$$"
+   # update data on cerbere
+   echo "iii : update data on cerbere"
+   scp job_data_$$ smasson@cerbere.locean-ipsl.upmc.fr:.
+   ssh smasson@cerbere.locean-ipsl.upmc.fr "chmod 755 job_data_$$ ; ./job_data_$$ ; rm -f job_data_$$"
 fi
 #------------------------------------------------------------------
 if [ ${doSRCipsl} -eq 1 ]
 then
-# update src on calcul2
-#
-    echo "iii : update src on calcul2"
-    ssh smlod@calcul2.ipsl.jussieu.fr "svn update SAXO_DIR/SRC ; chmod -R 755 SAXO_DIR"
+   # update src on calcul2
+   #
+   echo "iii : update src on calcul2"
+   ssh smlod@calcul2.ipsl.jussieu.fr "svn update SAXO_DIR/SRC ; chmod -R 755 SAXO_DIR"
 fi
 #------------------------------------------------------------------
 if [ ${doDTAipsl} -eq 1 ]
 then
-# update data on cook
-    echo "iii : update data on cook"
-    scp job_data_$$ smlod@cook.ipsl.jussieu.fr:.
-    ssh smlod@cook.ipsl.jussieu.fr "chmod 755 job_data_$$ ; ./job_data_$$ ; rm -f job_data_$$"
+   # update data on cook
+   echo "iii : update data on cook"
+   scp job_data_$$ smlod@cook.ipsl.jussieu.fr:.
+   ssh smlod@cook.ipsl.jussieu.fr "chmod 755 job_data_$$ ; ./job_data_$$ ; rm -f job_data_$$"
 fi
 #------------------------------------------------------------------
 if [ ${doSRCidris} -eq 1 ]
 then
-# update src on ulam
-    echo "iii : update src to ulam"
-    ssh -t smasson@cerbere.locean-ipsl.upmc.fr ssh reee217@ulam.idris.fr "svn update SAXO_DIR/SRC ; chmod -R 755 SAXO_DIR"
+   # update src on ulam
+   echo "iii : update src to ulam"
+   ssh -t smasson@cerbere.locean-ipsl.upmc.fr ssh reee217@ulam.idris.fr "svn update SAXO_DIR/SRC ; chmod -R 755 SAXO_DIR"
 fi
 #------------------------------------------------------------------
 if [ ${doDTAidris} -eq 1 ]
 then
-# create the update script for ulam
-    if [[ (${doDTAlocean} -eq 0) && (${doDTAipsl} -eq 0) ]]
-	then
-	echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
-	infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
-	filedata=$(echo ${infodata} | awk '{print $NF}')
-	filedata=$(basename ${filedata})
-    fi
-    cat <<EOF > job_data_idris_$$
+   # create the update script for ulam
+   if [[ (${doDTAlocean} -eq 0) && (${doDTAipsl} -eq 0) ]]
+then
+      echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
+      infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
+      filedata=$(echo ${infodata} | awk '{print $NF}')
+      filedata=$(basename ${filedata})
+   fi
+   cat <<EOF > job_data_idris_$$
 #!/bin/ksh
 cd SAXO_DIR
@@ -545,47 +545,47 @@
 #
 EOF
-# update data on gaya
-    echo "iii : update data to gaya"
-    scp job_data_idris_$$ reee217@gaya.idris.fr:.
-    ssh reee217@gaya.idris.fr "chmod 755 job_data_idris_$$ ; ./job_data_idris_$$ ; rm -f job_data_idris_$$"
+   # update data on gaya
+   echo "iii : update data to gaya"
+   scp job_data_idris_$$ reee217@gaya.idris.fr:.
+   ssh reee217@gaya.idris.fr "chmod 755 job_data_idris_$$ ; ./job_data_idris_$$ ; rm -f job_data_idris_$$"
 fi
 #------------------------------------------------------------------
 if [ ${dodocdownload} -eq 1 ]
 then
-    echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd several times"
-    #
-    # copy files in a temporary directory
-    mkdir /tmp/download_${$}/
-    cp -rp ../xmldoc /tmp/download_${$}/
-    cp -rp ../idldoc_html_output /tmp/download_${$}/
-    #
-    # remove tools files
-    find /tmp/download_${$}/ -name ".svn" -exec rm -rf {} \; 2> /dev/null
-    find /tmp/download_${$}/ -name "*.xml" -exec rm -rf {} \; 2> /dev/null
-    find /tmp/download_${$}/ -name "*.xsl" -exec rm -rf {} \; 2> /dev/null
-    find /tmp/download_${$}/ -name "*.sed" -exec rm -rf {} \; 2> /dev/null
-    find /tmp/download_${$}/ -name "*.sh" -exec rm -rf {} \; 2> /dev/null
-    find /tmp/download_${$}/ -name "makefile" -exec rm -rf {} \; 2> /dev/null
-    find /tmp/download_${$}/ -name "*~" -exec rm -rf {} \; 2> /dev/null
-    #
-    # replace relative path
-    # by http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/
-    # on ulink lines containing some directories like ../../ToBeReviewed/ or ../../Tests/ or file like newheader.txt
-    list_html=$(find /tmp/download_${$}/ -name "*.html")
-    for file_html in ${list_html}
-    do
-     sed  \
-     -e "/Source code of a file/s+../.*/../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC+g" \
-     -e "/..\/..\/ToBeReviewed/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/+g" \
-     -e "/..\/..\/Tests/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/+g"  \
-     -e "/..\/..\/Calendar/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/+g" \
-     -e "/..\/newheader/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/Documentation/+g" \
-     ${file_html} > ${file_html}_${$}
-     mv ${file_html}_${$} ${file_html}
-    done
-    echo
-    echo "give SAXO password if asked"
-    scp -rp /tmp/download_${$}/* saxo@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
-    rm -rf /tmp/download_${$}/
+   echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd several times"
+   #
+   # copy files in a temporary directory
+   mkdir /tmp/download_${$}/
+   cp -rp ../xmldoc /tmp/download_${$}/
+   cp -rp ../idldoc_html_output /tmp/download_${$}/
+   #
+   # remove tools files
+   find /tmp/download_${$}/ -name ".svn" -exec rm -rf {} \; 2> /dev/null
+   find /tmp/download_${$}/ -name "*.xml" -exec rm -rf {} \; 2> /dev/null
+   find /tmp/download_${$}/ -name "*.xsl" -exec rm -rf {} \; 2> /dev/null
+   find /tmp/download_${$}/ -name "*.sed" -exec rm -rf {} \; 2> /dev/null
+   find /tmp/download_${$}/ -name "*.sh" -exec rm -rf {} \; 2> /dev/null
+   find /tmp/download_${$}/ -name "makefile" -exec rm -rf {} \; 2> /dev/null
+   find /tmp/download_${$}/ -name "*~" -exec rm -rf {} \; 2> /dev/null
+   #
+   # replace relative path
+   # by http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/
+   # on ulink lines containing some directories like ../../ToBeReviewed/ or ../../Tests/ or file like newheader.txt
+   list_html=$(find /tmp/download_${$}/ -name "*.html")
+   for file_html in ${list_html}
+   do
+      sed \
+         -e "/Source code of a file/s+../.*/../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC+g" \
+         -e "/..\/..\/ToBeReviewed/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/+g" \
+         -e "/..\/..\/Tests/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/+g"  \
+         -e "/..\/..\/Calendar/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/+g" \
+         -e "/..\/newheader/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/Documentation/+g" \
+         ${file_html} > ${file_html}_${$}
+      mv ${file_html}_${$} ${file_html}
+   done
+   echo
+   echo "give SAXO password if asked"
+   scp -rp /tmp/download_${$}/* saxo@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
+   rm -rf /tmp/download_${$}/
 fi
 #
@@ -593,10 +593,10 @@
 if [ ${dowikiupdate} -eq 1 ]
 then
-    # uncomment this following line if you want to start from scratch
-    # ssh saxo@forge.ipsl.jussieu.fr mkdir -p /tmp/saxo
-    rsync -av --exclude=".DS_Store"  --exclude=".svn" ./wiki/ saxo@forge.ipsl.jussieu.fr:/tmp/saxo
-    ssh saxo@forge.ipsl.jussieu.fr trac-admin /ipsl/forge/projets/saxo/trac wiki load /tmp/saxo
-    # uncomment this following line if you want to leave without any trace
-    # ssh saxo@forge.ipsl.jussieu.fr rm -rf /tmp/saxo
+   # uncomment this following line if you want to start from scratch
+   # ssh saxo@forge.ipsl.jussieu.fr mkdir -p /tmp/saxo
+   rsync -av --exclude=".DS_Store" --exclude=".svn" ./wiki/ saxo@forge.ipsl.jussieu.fr:/tmp/saxo
+   ssh saxo@forge.ipsl.jussieu.fr trac-admin /ipsl/forge/projets/saxo/trac wiki load /tmp/saxo
+   # uncomment this following line if you want to leave without any trace
+   # ssh saxo@forge.ipsl.jussieu.fr rm -rf /tmp/saxo
 fi
 #------------------------------------------------------------------