Index: /trunk/SRC/Documentation/xmldoc/docompileall.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/docompileall.sh	(revision 436)
+++ /trunk/SRC/Documentation/xmldoc/docompileall.sh	(revision 437)
@@ -132,4 +132,5 @@
 #
 # read parameters on command line
+set +u
 while [ ! -z "${1}" ]
 do
Index: /trunk/SRC/Documentation/xmldoc/doidldoc.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 436)
+++ /trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 437)
@@ -1,3 +1,3 @@
-#! /bin/sh
+#! /bin/sh -x
 #+
 #
@@ -79,5 +79,8 @@
 #
 # $ cd /usr/home/fplod/incas/varamma/varamma_ws/
-# $ ${SAXO_DIR}/SRC/Documentation/xmldoc/doidldoc.sh -i . -t "VARAMMA Documentation" -o /tmp/idldoc_html_output/ -idl_dir /usr/local_linux/idl/idl_6.4/idl/ -e pro -r ../idldoc_html_output/ -e proidl -r /usr/local_linux/idl/idl_6.4/idl/help/online_help
+# $ ${SAXO_DIR}/SRC/Documentation/xmldoc/doidldoc.sh -i . -t "VARAMMA Documentation" \
+#   -o /tmp/idldoc_html_output/ -idl_dir /usr/local_linux/idl/idl_6.4/idl/ \
+#   -idldoc_version 3.2 -idldoc_dir /usr/home/incas/francoise/idldoc-3.2_aedon.locean-ipsl.upmc.fr///idldoc-3.2/ \
+#   -e pro -r ../idldoc_html_output/ -e proidl -r /usr/local_linux/idl/idl_6.4/idl/help/online_help
 #
 # To produce POST_IT HTML outputs :
@@ -95,4 +98,6 @@
 # doc idl
 #
+# idldoc 3.2 (beware of sphinx compatibility)
+#
 # add checking of consistency between numbers of -e and -r parameters
 #
@@ -108,4 +113,8 @@
 #
 # $Id$
+#
+# - fplod 20100701T144720Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * test with idldoc 3.2 (no more 3.1.1) on VARAMMA project. not yet ok
 #
 # - fplod 20100125T105849Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -229,5 +238,6 @@
 fi
 #
-while [ ! -z "${1}" ] # ++ pb bash
+set +u
+while [ ! -z "${1}" ]
 do
    case ${1} in
@@ -316,5 +326,5 @@
 cd ${idldoc_dir}
 case ${idldoc_version} in
-   3.1.1)
+   3.2)
       cat << EOF > ${pro}
 !path = expand_path('+' + '${idldoc_dir}')
@@ -451,5 +461,5 @@
    pro="/tmp/idldocassistant_${$}.pro"
    case ${idldoc_version} in
-      3.1.1)
+      3.2)
          echo "iii : assistant is not feasable with idldoc > 2.0"
       ;;
Index: /trunk/SRC/Documentation/xmldoc/pro2href.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/pro2href.sh	(revision 436)
+++ /trunk/SRC/Documentation/xmldoc/pro2href.sh	(revision 437)
@@ -46,4 +46,5 @@
 usage=" Usage : ${command} -i dirhtml -r refhtml -e element"
 #
+set +u
 while [ ! -z "${1}" ]
 do
Index: /trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 436)
+++ /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 437)
@@ -1,3 +1,3 @@
-#!/bin/bash
+#!/bin/bash -x
 #
 #
@@ -6,4 +6,10 @@
 #
 # use doidldoc.sh for assistant outputs
+#
+# surveiller gdl pour voir l'apparition de resolve_all dans les version > 0.9rc4
+#
+# - fplod 20100511T133249Z dedale.locean-ipsl.upmc.fr (Linux)
+#    * working with fl :
+# % Error: RESOLVE_ALL: can not resolve: function ADAPT_HIST_EQUAL
 #
 # EVOLUTIONS
@@ -141,6 +147,10 @@
 # reference is idl 64 on zeus.locean-ipsl.upmc.fr
 idl_dir=/usr/local_linux/idl/idl_6.4/idl/
-#
-docompileall=0
+# reference gdl on aedon.locean-ipsl.upmc.fr
+idl_dir=/opt/local/bin/
+# reference fl on dedale.locean-ipsl.upmc.fr
+idl_dir=/usr/temp/fplod/fl/fl_0.79a/bin/
+#
+docompileall=1
 dohtml=0
 dowiki=0
@@ -185,13 +195,15 @@
 #
 ndate=`date +%Y%m%d`
-rev=$( svn info | grep -i revision | awk '{print $NF}' )
 # memorize current directory
 # should be <working space>/SRC/Documentation/xmldoc
 memopwd=$(pwd)
+application="FL"
 #
 #------------------------------------------------------------------
 if [ ${docompileall} -eq 1 ]
 then
-   cat <<EOF > /tmp/compileall${$}.pro
+    case ${application} in
+       'idl')
+           cat << EOF > /tmp/compileall${$}.pro
 .reset_session
 ;
@@ -214,4 +226,33 @@
 ;
 EOF
+;;
+FL)
+   cat <<EOF > /tmp/compileall${$}.pro
+.reset_session
+;
+!path = expand_path('+' + '../..') + ':' + expand_path('+' + !path)
+resolve_all
+def_myuniquetmpdir
+oldcm = find('oldcm_empty')
+;oldcm = find('oldcm_full')
+oldcm = oldcm[0]
+@cm_general
+file_copy, oldcm, myuniquetmpdir + 'oldcm_used.pro', /overwrite
+!path = myuniquetmpdir + ':' + !path
+IF !journal NE 0 THEN journal
+journal, myuniquetmpdir + 'cm_demomode_used.pro'
+journal
+path_cache, /rebuild
+;
+resolve_all, resolve_either='keep_compatibility', skip_routines = ['xxx2ps','trends', 'label_gmt']
+;
+EOF
+;;
+GDL)
+;;
+*) 
+echo "eee : unknown application"
+exit 1
+esac
 #
    for i in $( find ${memopwd}/../.. -name "*.pro" | grep -iv label_gmt  | grep -iv report )
@@ -227,5 +268,9 @@
    echo "exit" >> /tmp/compileall${$}.pro
    IDL_STARTUP=/tmp/compileall${$}.pro
-   ${idl_dir}/bin/idl &> /tmp/compileallerr_${$}
+#++   ${idl_dir}/bin/idl &> /tmp/compileallerr_${$}
+#++   ${idl_dir}/gdl &> /tmp/compileallerr_${$}
+   ${idl_dir}/fl 
+   ${idl_dir}/fl &> /tmp/compileallerr_${$}
+
    echo
    echo
@@ -418,4 +463,5 @@
 if [ ${doTARsrc} -eq 1 ]
 then
+   rev=$( svn info | grep -i revision | awk '{print $NF}' )
    localtarbase=/tmp/savesaxo_${$}
    mkdir ${localtarbase}/